Subject: [Ietf-calsify] Issue 33: characters v. octets

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Tue Oct 3 06:27:15 2006

Tim,

I will go with "UTF-8 multi-octet sequence" instead of "character"
as was suggested by Mark for the line folding issue (i.e., Issue 1).

Thanks,
Bernard

Tim Hare wrote:
>  
> Section 6 should also say 'MUST not truncate', it needs to be the same in
> both places,  other than that I agree with the proposed change.
> 
> Tim Hare
> Interested Bystander, Non-Inc.
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Eliot Lear
> Sent: Monday, September 25, 2006 6:28 AM
> To: [email-masked]
> Subject: [Ietf-calsify] Issue 33: characters v. octets
> 
> <CHAIR HAT OFF>
> 
> After a long drawn out discussion on Issue 1 regarding breaking of lines, I
> would also like to close on Issue 33, which reads:
> 
> 
>> http://lists.osafoundation.org/pipermail/ietf-calsify/2006-August/0010
>> 78.html
>>
>> In section 4.8.4.7 Unique Identifier of RFC 2445 it says:
>>
>>  > Implementations MUST be able to receive and persist values of at  > 
>> least 255 characters for this property.
>>
>> And, in Section 6 Recommended Practices it also says:
>>
>>  > 6. An implementation can truncate a "SUMMARY" property value to 255
>>  >    characters.
>>
>> In both sections I propose to change "255 characters" to "255 octets".
> 
> 
> I propose the following alternative wording:
> 
> In section 4.8.4.7:
> 
>  > Implementations MUST be able to receive and persist values of at  > least
> 255 octets for this property, but MUST not truncate values  > in the middle
> of a character.
> 
> 
> In section 6:
> 
>  > 6. An implementation can truncate a "SUMMARY" property value to 255
>  >    octets, but should not truncate the property value in the middle
>  >    of a character.
> 
> 
> 
> If someone has appropriate wording to perhaps replace the word
> "character" with code point, that would be fine too.
> 
> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify
> 
> 
> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify